/**
 * Copyright (C) 2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package co.jirm.core.sql;


public class SqlPlaceholderParserConfig {
	private final boolean stripNewLines;
	
	public final static SqlPlaceholderParserConfig DEFAULT = new SqlPlaceholderParserConfig(false);
	
	public SqlPlaceholderParserConfig(boolean stripNewLines) {
		super();
		this.stripNewLines = stripNewLines;
	}

	public boolean isStripNewLines() {
		return stripNewLines;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + (stripNewLines ? 1231 : 1237);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		SqlPlaceholderParserConfig other = (SqlPlaceholderParserConfig) obj;
		if (stripNewLines != other.stripNewLines)
			return false;
		return true;
	}

}
